Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageShiftScale Class Reference

`#include <vtkImageShiftScale.h>`

Inheritance diagram for vtkImageShiftScale:

[legend]
Collaboration diagram for vtkImageShiftScale:

[legend]
List of all members.

## Detailed Description

shift and scale an input image

Date:
  2002/01/22 15:33:25

Revision:
  1.41

With vtkImageShiftScale Pixels are shifted and then scaled. As a convenience, this class allows you to set the output scalar type similar to vtkImageCast. This is because shift scale operations frequently convert data types.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (57%)
  - Martin, Ken (24%)
  - Lorensen, Bill (7%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageShiftScale.cxx)`
  - .`h` (`/Imaging/vtkImageShiftScale.h)`

Examples:
  vtkImageShiftScale (Examples)

Tests:
  vtkImageShiftScale (Tests)

Definition at line 53 of file vtkImageShiftScale.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetShift (float)
virtual float | GetShift ()
virtual void | SetScale (float)
virtual float | GetScale ()
virtual void | SetOutputScalarType (int)
virtual int | GetOutputScalarType ()
void | SetOutputScalarTypeToDouble ()
void | SetOutputScalarTypeToFloat ()
void | SetOutputScalarTypeToLong ()
void | SetOutputScalarTypeToUnsignedLong ()
void | SetOutputScalarTypeToInt ()
void | SetOutputScalarTypeToUnsignedInt ()
void | SetOutputScalarTypeToShort ()
void | SetOutputScalarTypeToUnsignedShort ()
void | SetOutputScalarTypeToChar ()
void | SetOutputScalarTypeToUnsignedChar ()
virtual void | SetClampOverflow (int)
virtual int | GetClampOverflow ()
virtual void | ClampOverflowOn ()
virtual void | ClampOverflowOff ()
## Static Public Methods
vtkImageShiftScale * | New ()
int | IsTypeOf (const char *type)
vtkImageShiftScale * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageShiftScale ()
| ~vtkImageShiftScale ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
float | Shift
float | Scale
int | OutputScalarType
int | ClampOverflow

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageShiftScale::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 57 of file vtkImageShiftScale.h.

## Constructor & Destructor Documentation

vtkImageShiftScale::vtkImageShiftScale | ( |  | ) | `[protected]`

vtkImageShiftScale::~vtkImageShiftScale | ( |  | ) | `[inline, protected]`

| Definition at line 110 of file vtkImageShiftScale.h.

## Member Function Documentation

vtkImageShiftScale* vtkImageShiftScale::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageShiftScale::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageShiftScale::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageShiftScale::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageShiftScale* vtkImageShiftScale::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageShiftScale::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageShiftScale::SetShift | ( | float |  | ) | `[virtual]`

| Set/Get the shift value.

virtual float vtkImageShiftScale::GetShift | ( |  | ) | `[virtual]`

| Set/Get the shift value.

virtual void vtkImageShiftScale::SetScale | ( | float |  | ) | `[virtual]`

| Set/Get the scale value.

virtual float vtkImageShiftScale::GetScale | ( |  | ) | `[virtual]`

| Set/Get the scale value.

virtual void vtkImageShiftScale::SetOutputScalarType | ( | int |  | ) | `[virtual]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified.

virtual int vtkImageShiftScale::GetOutputScalarType | ( |  | ) | `[virtual]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified.

void vtkImageShiftScale::SetOutputScalarTypeToDouble | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 77 of file vtkImageShiftScale.h. References VTK_DOUBLE.

void vtkImageShiftScale::SetOutputScalarTypeToFloat | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 79 of file vtkImageShiftScale.h. References VTK_FLOAT.

void vtkImageShiftScale::SetOutputScalarTypeToLong | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 81 of file vtkImageShiftScale.h. References VTK_LONG.

void vtkImageShiftScale::SetOutputScalarTypeToUnsignedLong | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 83 of file vtkImageShiftScale.h. References VTK_UNSIGNED_LONG.

void vtkImageShiftScale::SetOutputScalarTypeToInt | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 85 of file vtkImageShiftScale.h. References VTK_INT.

void vtkImageShiftScale::SetOutputScalarTypeToUnsignedInt | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 87 of file vtkImageShiftScale.h. References VTK_UNSIGNED_INT.

void vtkImageShiftScale::SetOutputScalarTypeToShort | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 89 of file vtkImageShiftScale.h. References VTK_SHORT.

void vtkImageShiftScale::SetOutputScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 91 of file vtkImageShiftScale.h. References VTK_UNSIGNED_SHORT.

void vtkImageShiftScale::SetOutputScalarTypeToChar | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 93 of file vtkImageShiftScale.h. References VTK_CHAR.

void vtkImageShiftScale::SetOutputScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set the desired output scalar type. The result of the shift and scale operations is cast to the type specified. Definition at line 95 of file vtkImageShiftScale.h. References VTK_UNSIGNED_CHAR.

virtual void vtkImageShiftScale::SetClampOverflow | ( | int |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default, ClampOverflow is off.

virtual int vtkImageShiftScale::GetClampOverflow | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default, ClampOverflow is off.

virtual void vtkImageShiftScale::ClampOverflowOn | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default, ClampOverflow is off.

virtual void vtkImageShiftScale::ClampOverflowOff | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default, ClampOverflow is off.

void vtkImageShiftScale::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageShiftScale::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 118 of file vtkImageShiftScale.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageShiftScale::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageShiftScale::Shift`[protected]`

| Definition at line 112 of file vtkImageShiftScale.h.

float vtkImageShiftScale::Scale`[protected]`

| Definition at line 113 of file vtkImageShiftScale.h.

int vtkImageShiftScale::OutputScalarType`[protected]`

| Definition at line 114 of file vtkImageShiftScale.h.

int vtkImageShiftScale::ClampOverflow`[protected]`

| Definition at line 115 of file vtkImageShiftScale.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageShiftScale.h